Wallets, tokens & networks

Get Wallets Report For Finance Admin

Lists current wallets of active non-admin roles with names, salary and allocation stripped.

POSThttps://api.toku.com/tga/get-wallets-report-for-finance-admin

Required scope: banking:read

curl --request POST \
  --url 'https://api.toku.com/tga/get-wallets-report-for-finance-admin' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "employeeWallets": [
    {
      "ID": "string",
      "roleInOrgID": "string",
      "userID": "string",
      "maxStablecoinPercentage": 0,
      "employeeBaseSalary": "string",
      "walletOwner": "string",
      "network": "string",
      "networkIcon": "string",
      "token": "string",
      "tokenIcon": "string",
      "walletReference": {
        "createdAt": "string",
        "roleInOrgID": "string",
        "walletID": "string",
        "walletReferenceID": "string",
        "distributionRatio": "string",
        "distributionType": "string",
        "isBonusToken": true,
        "fixedAmount": "string"
      },
      "address": "string",
      "destinationTag": 0,
      "status": "string",
      "createdAt": "string",
      "connectedViaMesh": true
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

anyany

Response

200Successful response
employeeWalletsarray | null
Show child attributes
IDstring | null
roleInOrgIDstring | null
userIDstring | null
maxStablecoinPercentagenumber | null
employeeBaseSalarystring | null
walletOwnerstring | null
networkstring | null
networkIconstring | null
tokenstring | null
tokenIconstring | null
walletReferenceobject | null
Show child attributes
createdAtstring | null
roleInOrgIDstring | null
walletIDstring | null
walletReferenceIDstring | null
distributionRatiostring | null
distributionTypestring | null
isBonusTokenboolean | null
fixedAmountstring | null
addressstring | null
destinationTagnumber | null
statusstring | null
createdAtstring | null
connectedViaMeshboolean | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits